%define upstream_name	 Net-CIDR
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Manipulate IPv4/IPv6 netblocks in CIDR notation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
With this module, you can manipulate IPv4/IPv6 netblocks in CIDR notation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 513337
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 370506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 315192
- update to 0.17

* Mon Oct 01 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 301281
- update to 0.16

* Thu Feb 23 2012 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 213077
- update to 0.15

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 30881
- mageia rebuild
- imported package perl-Net-CIDR


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 552425
- update to 0.14

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 404063
- rebuild using %%perl_convert_version

* Tue Jan 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2009.1
+ Revision: 331588
- update to new version 0.13

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.11-6mdv2009.0
+ Revision: 257957
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.11-5mdv2009.0
+ Revision: 246035
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.11-3mdv2008.1
+ Revision: 140692
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-3mdv2008.0
+ Revision: 86681
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-2mdv2007.0
- Rebuild

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdk
- contributed by Cedric Devillers <brancaleone@altern.org>

